LibreOffice: XCopyTableWizard Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
XCopyTableWizard Interface Reference

describes a wizard which can be used to copy table like data from one database to another. More...

Inheritance diagram for XCopyTableWizard:

## Public Member Functions
void | addCopyTableListener ([in] XCopyTableListener Listener)
| adds a listener which is to be notified of progress in the copy operation
void | removeCopyTableListener ([in] XCopyTableListener Listener)
| removes a listener
Public Member Functions inherited from XExecutableDialog
void | setTitle ([in] string aTitle)
| Sets the title of the dialog.
short | execute ()
| Executes (shows) the dialog.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Public Attributes
short | Operation { set raises(::com::sun::star::lang::IllegalArgumentException); }
| specifies the basic operation for the wizard to execute.
string | DestinationTableName
| specifies the name of the table in the destination database.
::com::sun::star::beans::Optional< string > | CreatePrimaryKey { set raises(::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::sdbc::SQLException); }
| specifies that a new primary key is to be created in the target database
boolean | UseHeaderLineAsColumnNames
| specifies that the first row should be used to identify column names.

## Detailed Description

describes a wizard which can be used to copy table like data from one database to another.

Copying table data between databases can be a complex task. Especially when it comes to matching field types in the source and in the target database, some heuristics, and sometimes support from the user doing the operation, are required.

The `copy table wizard` described by this interfaces cares for those, and other, settings.

Since
  OOo 2.4

## Member Function Documentation

## ◆ addCopyTableListener()

void addCopyTableListener | ( | [in] XCopyTableListener | Listener | ) |

adds a listener which is to be notified of progress in the copy operation

## ◆ removeCopyTableListener()

void removeCopyTableListener | ( | [in] XCopyTableListener | Listener | ) |

removes a listener

## Member Data Documentation

## ◆ CreatePrimaryKey

::com::sun::star::beans::Optional< string > CreatePrimaryKey
set raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::sdbc::SQLException
| ) |  |
| attribute

specifies that a new primary key is to be created in the target database

At initialization time, you can specify the initial settings for the primary key in the UI.

You cannot use this attribute to determine the primary key, possibly created by the wizard, after it finished. The reason is that during the wizard run, the user can define an arbitrarily complex primary key, e.g. including multiple columns, which cannot be represented in this simple attribute anymore.

This attribute is ignored if Operation is CopyTableOperation::AppendData.

Changing this attribute while the dialog is running is not supported, the result of such an attempt is undefined.

When a primary key is to be created by the wizard, it will be an auto-increment column, if possible.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the target database does not support primary keys

## ◆ DestinationTableName

string DestinationTableName
| attribute

specifies the name of the table in the destination database.

At initialization time, you can use this attribute to control the initial table name as suggested to the user.

After the wizard has finished, you can use this attribute to determine what table was actually created resp. to which existing table the source table's data was appended.

Changing this attribute while the dialog is running is not supported, the result of such an attempt is undefined.

## ◆ Operation

short Operation
set raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |
| attribute

specifies the basic operation for the wizard to execute.

This must be one of the CopyTableOperation constants.

At initialization time, you can use this attribute to control the initial operation in the wizard.

After the wizard has finished, you can use this attribute to determine what operation was actually executed.

Changing this attribute while the dialog is running is not supported, the result of such an attempt is undefined.

Exceptions

  IllegalArgumentException | if you attempt to set an invalid operation, or if the given operation is not supported by the target database type, e.g. if you specified CopyTableOperation::CreateAsView where the database does not support views.

## ◆ UseHeaderLineAsColumnNames

boolean UseHeaderLineAsColumnNames
| attribute

specifies that the first row should be used to identify column names.

This attribute is ignored when the source defines the column names which isn't the case when only a part of a table should be copied e.g. in the RTF format or in the HTML format.

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/application/XCopyTableWizard.idl